#
# spec file for package rbac-lookup
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#
# nodebuginfo


Name:           rbac-lookup
Version:        0.9.1
Release:        1.11
Summary:        Tool to find roles and cluster roles in a Kubernetes cluster
License:        Apache-2.0
Group:          System/Management
URL:            https://github.com/FairwindsOps/rbac-lookup
Source:         %{name}-%{version}.tar.gz
Source1:        vendor.tar.gz
BuildRequires:  golang-packaging
BuildRequires:  golang(API) >= 1.17
ExcludeArch:    s390
ExcludeArch:    %{ix86}
%{go_nostrip}

%description
RBAC Lookup is a CLI that allows you to easily find Kubernetes roles and cluster roles bound to any user, service account, or group name.
Binaries are generated with goreleaser for each release for simple installation.

%prep
%setup -qa1

%build
go build -mod vendor -buildmode=pie -a -o rbac-lookup ./main.go

%check
make test

%install
mkdir -p %{buildroot}%{_sbindir}/
install -D -m 0755 rbac-lookup %{buildroot}%{_sbindir}/

%files
%license LICENSE
%doc README.md
%{_sbindir}/rbac-lookup

%changelog
* Mon Nov 28 2022 alexandre.vicenzi@suse.com
- Update to version 0.9.1:
  * Update dependencies
  * Move to a larger resource class to handle the multi-arch builds better (#273)
  * Use oss-docs orb to publish docs (#263)
* Fri Mar 25 2022 alexandre.vicenzi@suse.com
- Update to version 0.8.3:
  * Get signing secret from vault and sign checksums
  * Update documentation
  * Update e2e test versions of k8s
* Fri Oct  8 2021 alexandre.vicenzi@suse.com
- Update to version 0.7.1:
  * Mac M1 Support
  * Update documentation from template
  * Update README.md
* Fri Apr  9 2021 alexandre.vicenzi@suse.com
- Update to version 0.6.4:
  * Update documentation from template (#176)
  * Managed by Terraform
  * Add documentation site (#175)
  * Bump google.golang.org/api from 0.40.0 to 0.41.0 (#172)
  * Bump google.golang.org/api from 0.39.0 to 0.40.0 (#164)
  * Bump k8s.io/client-go from 0.20.2 to 0.20.4 (#168)
  * Bump google.golang.org/api from 0.38.0 to 0.39.0 (#163)
  * Bump google.golang.org/api from 0.37.0 to 0.38.0 (#162)
  * Update GoReleaser to version 0.155, add Linux/arm and Windows builds (#161)
  * Bump google.golang.org/api from 0.36.0 to 0.37.0 (#160)
* Fri Feb 26 2021 Alexandre Vicenzi <alexandre.vicenzi@suse.com>
- Update to 0.6.3
  * Update dependencies
  * Fix logic with service accounts
  * Update for kube 1.18 and client-go 1.18
  * adding kubeconfig command line option
  * Service account namespace output
* Tue May 28 2019 Jan Engelhardt <jengelh@inai.de>
- Use noun phrase in descriptions.
* Thu May 23 2019 Thorsten Kukuk <kukuk@suse.com>
- Initial release
